import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
/**
 * This class should be extended by all SQ UI custom
 * form controls so that they get recognized by Angular forms.
 * Its only purpose is to implement the ControlValueAccessor interface.
 **/
export declare class ControlValueAccessorEnabler implements ControlValueAccessor {
    protected _modelToViewChange: EventEmitter<any>;
    protected _value: any;
    protected _onChange: any;
    protected _onTouched: any;
    constructor();
    get value(): any;
    set value(newValue: any);
    onBlur(): void;
    writeValue(newValue: any): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(fn: any): void;
}
