import { OnInit, EventEmitter, OnChanges } from '@angular/core';
import { Page } from '../../interfaces/page';
import * as i0 from "@angular/core";
export declare class PaginatorComponent implements OnInit, OnChanges {
    items: any[];
    itemsPerPage: number;
    currentPage: number;
    lastPage: number;
    maxDisplayedPages: number;
    paginatedCollection: any[];
    paginatedCollectionChange: EventEmitter<any>;
    pageChange: EventEmitter<{
        page: number;
        firstItemIndex: number;
    }>;
    pages: Page[];
    _paginatedCollection: any[];
    disableNextBtns: boolean;
    disablePrevBtns: boolean;
    private currentPageNumber;
    private hasSelectedCurrentPageByAuthor;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changesObj: any): void;
    onPageClick(page: any): void;
    navigateToPage(newPageDifference: number): void;
    private updatePageCount;
    private selectPage;
    private generatePaginatedCollection;
    private toggleControlEnabling;
    private hidePages;
    private selectCurrentPageProgramatically;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginatorComponent, "sq-paginator", never, { "items": { "alias": "items"; "required": false; }; "itemsPerPage": { "alias": "itemsPerPage"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; "lastPage": { "alias": "lastPage"; "required": false; }; "maxDisplayedPages": { "alias": "maxDisplayedPages"; "required": false; }; "paginatedCollection": { "alias": "paginatedCollection"; "required": false; }; }, { "paginatedCollectionChange": "paginatedCollectionChange"; "pageChange": "pageChange"; }, never, never, false, never>;
}
