import { ElementRef, EventEmitter, Renderer2, OnDestroy, NgZone, ChangeDetectorRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ScrolledToBottomListenerDirective implements OnDestroy {
    private elementRef;
    private renderer;
    private ngZone;
    private cd;
    scrolledToBottom: EventEmitter<any>;
    private listener;
    constructor(elementRef: ElementRef, renderer: Renderer2, ngZone: NgZone, cd: ChangeDetectorRef);
    checkIfHasScrolledToBottom(element: HTMLElement): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrolledToBottomListenerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ScrolledToBottomListenerDirective, "[sqScrolledToBottomListener]", never, {}, { "scrolledToBottom": "scrolledToBottom"; }, never, never, false, never>;
}
