import { CustomEventDetails } from '../interfaces/custom-event-details';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CustomEventBroadcasterService {
    private broadcasterSubject;
    private broadcasterSubjectAsObservable;
    constructor();
    subscribeFor(eventName: string, callback: (eventDetails?: CustomEventDetails) => void): Subscription;
    broadcastEvent(eventName: string, eventDetails?: CustomEventDetails): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomEventBroadcasterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CustomEventBroadcasterService>;
}
